Cluster Profile Manager Query Policy Metadata

Cluster Profile Manager Query Policy Metadata
Get the Metadata information for the policyNames.

Get the Metadata information for the policyNames.

PolicyNames are available with the defaultProfile obtained by invoking the method createDefaultProfile.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ClusterProfileManager/{moId}/QueryPolicyMetadata
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ClusterProfileManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryPolicyMetadataRequestType of type(s) application/json
Optional
{
    "policyName": [
        "string"
    ],
    "profile": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
array of string
policyName
Optional

Retrieve metadata for the specified policyNames. If policyName is not specified, metadata for all policies will be returned.

profile
Optional

Base profile whose context needs to be used during the operation

Authentication
This operation uses the following authentication methods.
Responses
200

The metadata information for the policy.

[
    {
        "_typeName": "string",
        "id": {
            "_typeName": "string",
            "label": "string",
            "summary": "string",
            "key": "string",
            "messageCatalogKeyPrefix": "string",
            "messageArg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ]
        },
        "possibleOption": [
            {
                "_typeName": "string",
                "id": {
                    "_typeName": "string",
                    "label": "string",
                    "summary": "string",
                    "key": "string",
                    "messageCatalogKeyPrefix": "string",
                    "messageArg": [
                        {
                            "_typeName": "string",
                            "key": "string",
                            "value": {
                                "_typeName": "string"
                            }
                        }
                    ]
                },
                "parameter": [
                    {
                        "_typeName": "string",
                        "id": {
                            "_typeName": "string",
                            "label": "string",
                            "summary": "string",
                            "key": "string",
                            "messageCatalogKeyPrefix": "string",
                            "messageArg": [
                                {
                                    "_typeName": "string",
                                    "key": "string",
                                    "value": {
                                        "_typeName": "string"
                                    }
                                }
                            ]
                        },
                        "type": "string",
                        "optional": false,
                        "defaultValue": {
                            "_typeName": "string"
                        },
                        "hidden": false,
                        "securitySensitive": false,
                        "readOnly": false,
                        "parameterRelations": [
                            {
                                "_typeName": "string",
                                "relationTypes": [
                                    "string"
                                ],
                                "values": [
                                    {
                                        "_typeName": "string"
                                    }
                                ],
                                "path": {
                                    "_typeName": "string",
                                    "profilePath": "string",
                                    "policyId": "string",
                                    "parameterId": "string",
                                    "policyOptionId": "string"
                                },
                                "minCount": 0,
                                "maxCount": 0
                            }
                        ]
                    }
                ]
            }
        ]
    }
]
array of object
Optional

The ProfilePolicyMetadata data object represents the metadata information for a ProfilePolicy.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/ClusterProfileManager/{moId}/QueryPolicyMetadata